<?php

class ActiveRecord extends CActiveRecord
{
         /**
	 *	Check if the current record already exists in the database.
         *
	 *	$exludeColumns array of attribute names; these columns/attribute names will be excluded from search.
	 *	@return	boolean
	 *
	 *	$arrAttrs is a copy of the $model->attributes array except that each key has an array for a value instead of a string.
	 *		This allows CDbCommandBuilder->createColumnCriteria() to use it as an IN condition.
	 */
	public function getExists($excludeColumns=array())
	{
		$arrAttrs = array();
		$attrs = $this->attributes;

		if( !empty($excludeColumns) )
		{
			foreach($excludeColumns as $columnName)
			{
				unset($attrs[$columnName]);
			}
			foreach($attrs as $name=>$value)
			{
				// only search it if it is NON NULL and NON EMPTY STRING, otherwise just ignore the column
				if( isset($value) && !empty($value) )
					$arrAttrs[$name] = array($value);
			}
		}
		
		if( $this->isNewRecord )
			return $this->countByAttributes($arrAttrs) > 0;
		return false;
	}
}
?>